'-----------------------------------------------------------------------
'----------------------- Giorgio Fanara presenta: ----------------------
'-----------------------------------------------------------------------
'----------- 'RECTANGLE (crea un rettangolo tridimensionale)'-----------
'-----------------------------------------------------------------------
'------------- 'CORNICE (crea una cornice tridimensionale)'-------------
'-----------------------------------------------------------------------
'-- 'RECTCOLOR (crea un rettangolo tridimensionale per lo SCREEN 13)' --
'-----------------------------------------------------------------------
'--- 'CORNCOLOR (crea una cornice tridimensionale per lo SCREEN 13)' ---
'-----------------------------------------------------------------------
'---------- 'PASSWORD (inserimento di una parola di accesso)' ----------
'-----------------------------------------------------------------------
'--------------- 'INSER (inserimento dati controllato)' ----------------
'-----------------------------------------------------------------------
'-------------- 'ESCINPUT (inserimento dati controllato)' --------------
'-----------------------------------------------------------------------
'------------------- 'MASCHERA (crea una maschera)' --------------------
'-----------------------------------------------------------------------
'------------- 'SHADOW (crea un rettangolo con un'ombra)' --------------
'-----------------------------------------------------------------------
'------ 'VISGRAF (caricamento e visualizzazione di files grafici)' -----
'-----------------------------------------------------------------------
'---------- 'CLSMODE (11 modi diversi di cancellare il video)' ---------
'-----------------------------------------------------------------------
'--------------- 'CLSAREA (cancella l'area specificata)' ---------------
'-----------------------------------------------------------------------
'------------ 'INDICATOR (crea un indicatore di progresso)' ------------
'-----------------------------------------------------------------------
'------ 'STR (trasforma una variabile numerica in alfanumerica)' -------
'-----------------------------------------------------------------------
'-'CODIF (trasforma una stringa in una stringa codificata e viceversa)'-
'-----------------------------------------------------------------------
''INIZIOANNO (calcola quanti giorni sono passati dall'inizio dell'anno)'
'-----------------------------------------------------------------------
'--- 'FINEANNO (calcola quanti giorni mancano alla fine dell'anno)' ----
'-----------------------------------------------------------------------
'CHANGE (cerca una sottostringa in una stringa e la cambia con un'altra)
'-----------------------------------------------------------------------
'--- 'ORDINA1 (ordina un vettore alfanumerico in ordine alfabetico)' ---
'-----------------------------------------------------------------------
'ORDINA2 (ordina un vettore numerico in ordine crescente o decrescente)'
'-----------------------------------------------------------------------
'----- 'OROLOGIO (restituisce l'orario fino ai decimi di secondo)' -----
'-----------------------------------------------------------------------
'----------- 'STRINGAV (visualizza una stringa in verticale)' ----------
'-----------------------------------------------------------------------
'-- WEEKDAY (ritorna il giorno della settimana della data specificata) -
'-----------------------------------------------------------------------
'--- DOMINSER(Per l'impostazione di una domanda a doppia scelta)--------


DECLARE FUNCTION Rectangle (X1%, Y1%, X2%, Y2%, cfon%, cbor1%, cbor2%)
DECLARE FUNCTION Cornice (J1%, K1%, J2%, K2%, alarg%, acfon%, acbor1%, acbor2%)
DECLARE FUNCTION RectColor (X1%, Y1%, X2%, Y2%, cfon%, csup1%, csup2%, cinf1%, cinf2%)
DECLARE FUNCTION CornColor (J1%, K1%, J2%, K2%, larg%, cfon%, csup1%, csup2%, cinf1%, cinf2%)
DECLARE FUNCTION PassWord (riga%, colon%, pass$, riger%, coloner%, Colore%)
DECLARE FUNCTION Inser (riga%, colon%, ascii%, lung%, uscita$, car$, colcar%, colfon%, esc%)
DECLARE FUNCTION EscInput (riga%, colon%, ascii%, lung%, campo$, colorcar%, colorstr%, tipo%, uscita%, dbyte%, tasti$, flashcount%)
DECLARE FUNCTION Maschera (X1%, Y1%, X2%, Y2%, tipo%, Colore%)
DECLARE FUNCTION Shadow (X1%, Y1%, X2%, Y2%, spes%, cret%, combr%, cback%)
DECLARE FUNCTION VisGraf (X1%, Y1%, dimen%, tipo%, nome$)
DECLARE FUNCTION ClsMode (modo%, tempo%)
DECLARE FUNCTION ClsArea (X1%, Y1%, X2%, Y2%)
DECLARE FUNCTION Indicator (riga%, colon%, prog, col1%, col2%, col3%, col4%)
DECLARE FUNCTION Str (numerico%, alfanum$)
DECLARE FUNCTION Codif (source$, slit%, destin$)
DECLARE FUNCTION InizioAnno (dat$, giorni%)
DECLARE FUNCTION FineAnno (dat$, giorni%)
DECLARE FUNCTION Change (stringa$, vecchia$, nuova$)
DECLARE FUNCTION Ordina1 (vettore$(), indice%)
DECLARE FUNCTION Ordina2 (vettore(), indice%, modo%)
DECLARE FUNCTION Orologio (tempo$, decim%, contr%)
DECLARE FUNCTION StringaV (riga%, colon%, stringa$)
DECLARE FUNCTION WeekDay (data$, gioset$, gioset%, datait$)
DECLARE FUNCTION DomInser (riga%, colonna%, Colore%, colorcar%, domanda$, car$, car2$, rispcar$)

'FUNCTION RECTANGLE: - solo modalit grafica -

' (consigliato SCREEN 7 o SCREEN 8)

' parametri:

' X1%,Y1% = Coordinate angolo superiore sinistro.
' X2%,Y2% = Coordinate angolo inferiore destro.
' CFON% = Colore del rettangolo.
' CBOR1% = Colore del riflesso superiore.
' CBOR2% = Colore del riflesso inferiore.

' FUNCTION CORNICE: - solo modalit grafica -

' (consigliato SCREEN 7 o SCREEN 8)
' parametri:

' J1%,K1% = Coordinate angolo superiore sinistro.
' J2%,K2% = Coordinate angolo inferiore destro.
' ALARG% = Spessore della cornice.
' ACFON% = Colore del rettangolo.
' ACBOR1% = Colore del riflesso superiore.
' ACBOR2% = Colore del riflesso inferiore.

' ESEMPIO:

' SCREEN 7
' a = Rectangle(20, 20, 120, 120, 3, 11, 8)
' b = Cornice(1, 1, 318, 180, 6, 3, 11, 8)

' FUNCTION RECTCOLOR: - solo modalit grafica -

' (consigliato SCREEN 13)

' parametri:

' X1%,Y1% = Coordinate angolo superiore sinistro.
' X2%,Y2% = Coordinate angolo inferiore destro.
' CFON%(0  255) = Colore del rettangolo.
' CSUP1%,CSUP2%(0  255) = Colore del primo e del secondo riflesso superiore.
' CINF1%,CINF2%(0  255) = Colore del primo e del secondo riflesso inferiore.
' i valori di CFON%,CSUP1%,CSUP2%,CINF1%,CINF2% per SCREEN diversi da 13 si
' riducono da 0 a 15.

' FUNCTION CORNCOLOR: - solo modalit grafica -

' (consigliato SCREEN 13)

' parametri:

' J1%,K1% = Coordinate angolo superiore sinistro.
' J2%,K2% = Coordinate angolo inferiore sinistro.
' LARG% = Spessore della cornice.
' CFON%(0  255)= colore della cornice.
' CSUP1%,CSUP2%(0  255) = Colore del primo e del secondo riflesso superiore.
' CINF1%,CINF2%(0  255) = Colore del primo e del secondo riflesso inferiore.
' Anche in questa funzione i valori di CFON%,CSUP1%,CSUP2%,CINF1%,CINF2%
' per SCREEN diversi da 13 si riducono da 0 a 15.

' ESEMPIO:

' SCREEN 13
' r% = RectColor(50, 30, 60, 80, 94, 92, 90, 139, 131)
' c% = CornColor(10, 10, 180, 180, 3, 24, 25, 26, 22, 23)


' FUNCTION PASSWORD: - solo modalit testo -

' parametri:

' RIGA%,COLON% = Coordinate per la visualizzazione dell'input.
' PASS$ = Parola chiave di funzionamento dell'input.
' RIGER%,COLONER% = Coordinate per la visualizzazione di "Password errata !!".
' COLORE% = Il colore di uscita dell'input.
' N.B.:  previsto di poter uscire dalla funzione con il tasto <Esc>.

' ESEMPIO:

' CLS
' p = PassWord(11, 36, "P4j32lx", 13, 31, 15)

' FUNCTION INSER: - solo modalit testo -

' parametri:

' RIGA%,COLON% = Coordinate per determinare la riga e la colonna dove
' verr visualizzata la Inser
' ASCII% = Il tipo di caratteri da poter inserire (valori consentiti
' (da 0 a 2):
' 0: Solo inserimento di numeri e di altri caratteri particolari che
'    si utilizzano di solito per gli inserimenti numerici.
' 1: Solo inserimento di lettere e di altri caratteri di punteggiatura.
' 2: Inserimento di lettere e numeri con diversi caratteri particolari.
' LUNG% = Numero massimo di caratteri da inserire.
' USCITA$ = la variabile che contiene i dati inseriti con la Inser.
' CAR$ = il carattere da visualizzare come fondo che delimita la Inser.
' Se CAR$ sar uguale a stringa nulla, verr impostato automaticamente
' al valore di codice ascii 32 (spazio).
' COLCAR% = Il colore dei caratteri inseriti con la Inser.
' COLFON% = Il colore dei puntini e del cursore generati dalla Inser.
' Valori consentiti per COLCAR% e COLFON% da 1 a 15.
' ESC% = per l'uscita con INVIO (codice 13) ESC% sar uguale a 0,
'        per l'uscita con il tasto <Tab> ESC% sar -1, per l'uscita con il
'        tasto <F1> ESC% sar 1, per l'uscita con <F2> ESC% sar 2 e per
'        l'uscita con <F3> ESC% sar 3 per l'uscita con il tasto <Esc>
'        l'uscita sar 4.
' N.B. Il valore di USCITA$ non viene annullato tra una inser ed un'altra.
'      Nel caso si voglia annullare il suo contenuto per ogni inser
'      effettuata, bisogner (prima della inser) porre USCITA$ = ""

' ESEMPIO:
' CLS
' DO
'  IF vv% = 5 THEN vv% = 0
'  ii = Inser(12 + vv%, 30, 2, 20, nome$, ".", 10, 7, esc%)
'  IF esc% = 4 THEN END
'  IF esc% > 0 THEN SOUND 1000, 2
'  IF esc% = 0 OR esc% = -1 THEN vv% = vv% + 1
' LOOP UNTIL esc% > 0

' FUNCTION ESCINPUT:

' parametri:

' RIGA%,COLON% = Coordinate per determinare la riga e la colonna dove
' verr visualizzata la EscInput.
' ASCII% = Il tipo di caratteri da poter inserire (valori consentiti
' (da 0 a 2):
' 0: Solo inserimento di numeri e di altri caratteri particolari che
'    si utilizzano di solito per gli inserimenti numerici.
' 1: Solo inserimento di lettere e di altri caratteri di punteggiatura.
' 2: Inserimento di lettere e numeri con diversi caratteri particolari.
' LUNG% = Numero massimo di caratteri da inserire.
' CAMPO$ = la variabile che contiene i dati inseriti con la EscInput.
' COLORCAR% = Il colore dei caratteri inseriti con la Escinput.
' COLORSTR% = Il colore dei puntini e del cursore generati dalla Escinput.
' Valori consentiti per COLORCAR% e COLORSTR% da 1 a 15.
' TIPO% = valori consentiti 0 o 1:
' 0: Escinput utilizzata in pagina testo.
' 1: Escinput utilizzata in pagina grafica.
' USCITA% = Ritorna un valore numerico di riferimento per i tasti di
' uscita immediata definiti in TASTI$ (per il tasto <Esc> USCITA% e 1).
' Nel caso in cui la EscInput viene utilizzata diverse volte sar
' necessario azzerare la variabile USCITA%. Nel caso in cui questo
' accorgimento non viene preso, la variabile CAMPO$ conserver il valore
' precedentemente inserito e la Escinput verr effettuata a partire dai
' caratteri contenuti in CAMPO$. La Escinput funziona in questo modo, al
' fine di poter effettuare dei controlli sui caratteri contenuti in TASTI$
' all'uscita della funzione.
' Il valore di USCITA% dipende dalla posizione di inserimento dei valori
' nella variabile TASTI$.
' DBYTE% = Nel caso in cui uno o pi tasti definiti in TASTI$ occupa due Byte
' il valore di DBYTE% sar uguale a 1, se verr scelto per uscire uno di quei
' caratteri, se invece verr scelto un carattere che occupa un byte, DBYTE%
' sar uguale a 0.
' TASTI$ = permette di definire i tasti di uscita immediata dall'inserimento
' scrivendo i caratteri ascii corrispondenti ai tasti.
' Uscendo in modo normale utilizzando il tasto <INVIO> il valore di ritorno
' di USCITA% e 0.
' FLASHCOUNT% = Permette di regolare la velocit di lampeggiamento del
' cursore nel caso in cui TIPO%  uguale a 1 (Modalit grafica)
' i valori consentiti per FLASHCOUNT% sono da 1000 a 28000.
' Nel caso in cui il valore di FLASHCOUNT%  fuori dalla banda specificata,
' FLASHCOUNT% viene automaticamente impostato a 0, in questo caso il cursore
' sar fisso.
' I valori di FLASHCOUNT% sono validi soltanto in modalit grafica.
' N.B. Come Default  possibile uscire dall'inserimento con il tasto <TAB>;
'      in questo caso USCITA% sar uguale a -1, DBYTE% sar uguale a 0.
' N.B. Anche in questa funzione, il valore di USCITA$ non viene annullato
'      tra una EscInput ed un'altra. Nel caso si voglia annullare il suo
'      contenuto per ogni EscInput effettuata, bisogner (prima della
'      EscInput) porre USCITA$ = "".

' ESEMPIO:
' CLS
' SCREEN 7
' DO
'  IF vv% > 5 THEN vv% = 0
'  nome$ = ""
'  a = EscInput(12 + vv%, 12, 2, 20, nome$, 10, 15, 0, uscita%, dbyte%, "<" + CHR$(24), 0)
'  IF uscita% < 1 THEN vv% = vv% + 1
'  LOCATE 24, 1
'  PRINT SPACE$(20);
'  LOCATE 24, 1
'  PRINT nome$; "  "; uscita%; "  "; dbyte%;
' LOOP UNTIL uscita% > 0

' esegue l'inserimento dati con i tasti di uscita immediata
' <Esc>, <F2>, <Ctrl + x> e <Alt + o>.

' (per <Esc>, USCITA% sar uguale a 1, DBYTE% sar uguale a 0)
' (per <F2>, USCITA% sar uguale a 2, DBYTE% sar uguale a 1)
' (per <Ctrl + x>, USCITA% sar uguale a 3, DBYTE% sar uguale a 0)
' (per (Alt + o>, USCITA% sar uguale a 3, DBYTE% sar uguale a 1)

' FUNCTION MASCHERA:

' parametri:

' X1%,Y1% = Coordinate angolo superiore sinistro.
' X2%,Y2% = Coordinate angolo inferiore destro.
' TIPO% = Valori consentiti 0 e 1:
' 0: Maschera a linea singola.
' 1: Maschera a linea doppia.
' COLORE% = Colore della maschera (valori consentiti da 0 a 31)
' per modalit testo. In modalit grafica i valori consentiti
' vanno da 0 a 15, tranne che per lo SCREEN 13 i cui valori consentiti
' vanno da 0 a 255.

' ESEMPIO:
' CLS
' COLOR , 1
' mm = Maschera(4, 4, 25, 15, 1, 10)

' FUNCTION SHADOW: - solo modalit testo -

' parametri:

' X1,Y1 = Coordinate angolo superiore sinistro.
' X2,Y2 = Coordinate angolo inferiore destro.
' SPES% (1  2) = spessore dell'ombra:
' 1 = spessore 1
' 2 = spessore 2
' CRET% = Colore dell'area del rettangolo (1  15).
' COMBR% = Colore dell'ombra del rettangolo disegnato.
' CBACK% = Colore del fondo dello schermo.

' ESEMPIO:
' CLS
' COLOR , 1
' FOR b = 1 TO 25
'   LOCATE b, 1: PRINT STRING$(80, " ")
' NEXT
' s = Shadow(5, 2, 68, 20, 2, 4, 0, 1)

' FUNCTION VISGRAF: - solo modalit grafica -

' parametri:

' X1%,Y1% = Coordinate per la visualizzazione del file di grafica.
' DIMEN% = Dimensione del vettore per il caricamento del file.
' TIPO%(1  5) = Tipo di visualizzazione:
' 1 = PSET
' 2 = PRESET
' 3 = OR
' 4 = XOR
' 5 = AND
' NOME$ = Nome del file da visualizzare

' ESEMPIO:
' SCREEN 8
' v% = VisGraf(100, 10, 2500, 1, "schema2.grh")

' FUNCTION CLSMODE: - solo modalit testo -

' parametri:

' modo% (1  11) valori consentiti entro questi limiti:

' 1: Cancellazione orizzontale dall'alto verso il basso.
' 2: Cancellazione orizzontale dal basso verso l'alto.
' 3: Cancellazione orizzontale dall'alto verso il basso e
'    dal basso verso l'alto.
' 4: Cancellazione verticale da sinistra verso destra.
' 5: Cancellazione verticale da destra verso sinistra.
' 6: Cancellazione verticale de sinistra verso destra e
'    da destra verso sinistra.
' 7: Cancellazione orizzontale dal basso verso l'alto
'    spostando tutti i caratteri non ancora cancellati
'    dal basso verso l'alto.
' 8: Cancellazione dal basso verso l'alto e dal' alto verso
'    il basso, sia orizzontalmente che verticalmente.
'    (un rettangolo che si stringe verso il centro sino a scomparire).
' 9: Cancellazione tramite righe alternate verticali.
'10: Cancellazione tramite righe alternate orizzontali.
'11: il video viene scomposto in quattro rettangoli che si
'    chiudono su se stessi.

' TEMPO%: Velocit di cancellazione:
' valori consentiti da 0 a 15.

' ESEMPIO:
'  CLS
' COLOR , 6
' FOR x = 1 TO 12
'  LOCATE x, 1: PRINT STRING$(80, "")
'  LOCATE x + 12, 1: PRINT STRING$(80, " ");
' NEXT
'  LOCATE 11, 32: PRINT "Giorgio Fanara"
' x$ = INPUT$(1)
' lll = ClsMode(11, 4)

' FUNCTION CLSAREA:

' parametri:

' X1%,Y1% = Coordinate angolo superiore sinistro dell'area da cancellare.
' X2%,Y2% = Coordinate angolo inferiore destro dell'area da cancellare.
' (l'area sar cancellata con il colore di fondo stabilito nel programma)

' ESEMPIO:
' CLS
' COLOR , 1
' FOR x = 1 TO 12
'  LOCATE x, 1: PRINT STRING$(80, "")
'  LOCATE x + 12, 1: PRINT STRING$(80, " ");
' NEXT
' LOCATE 11, 32: PRINT "Giorgio Fanara"
' x$ = INPUT$(1)
' cl = ClsArea(32, 5, 45, 12)

' FUNCTION INDICATOR: (Indicatore di progresso)
' (40 caratteri)

' parametri:

' RIGA%,COLON% = Coordinate dell'angolo superiore sinistro dell'indicatore.
' PROG = Valori della progressione (0  100). Il valore 0  necessario per
' la visualizzazione di tutto l'indicatore di progresso.
' COL1% = Colore della cornice esterna dell'indicaore di progresso
' COL2% = Colore della barra dell'indicatore di progresso.
' COL3% = Colore dei caratteri di fondo dell'indicatore di progresso.
' COL4% = Colore dei caratteri della percentuale.
' N.B. se il valore di PROG non arriver almeno a 100, la progressione
' non sar terminata e l'indicatore di progresso non si canceller.

' ESEMPIO:
' CLS
' FOR xx = 0 TO 100 STEP 2
'  ii = Indicator(22, 12, xx, 7, 10, 2, 5)
'  IF INKEY$ = CHR$(27) THEN EXIT FOR
'  SLEEP 1
' NEXT

' FUNCTION STR:

' parametri:

' NUMERICO% = Valore numerico da trasformare in alfanumerico.
' ALFANUM$ = La stringa che contiene il numero trasformato.
' (se il numero  di segno positivo lo spazio del segno viene eliminato).

' ESEMPIO:
' CLS
' num% = -34
' ss = Str(num%, num$)
' PRINT num$;
' num2% = 500
' ss = Str(num2%, num2$)
' PRINT num2$

' FUNCTION CODIF:

' parametri:

' SOURCE$ = La variabile da trasformare.
' SLIT% = Il numero di caratteri di slittamento dei codici ascii della
' variabile SOURCE$. (il valore di SLIT% non deve portare i codici ascii
' ad un valore inferiore di 0 o superiore di 255. Nel caso in cui questo
' avvenga verr attivato un aiuto nella funzione stessa per correggere gli
' errori).
' DESTIN$ = La variabile trasformata con SLIT%.

' questa funzione pu risultare utile per conservare dati in un file
' in modo che non possano essere riconosciuti e quindi modificati.

' ESEMPIO:

' CLS
' prima$ = "Giorgio Fanara"
' sl = Codif(prima$, 40, dopo$)
' PRINT dopo$
' sl = Codif(dopo$, -40, back$)
' PRINT back$
' x$ = INPUT$(1)
' CLS
' sl = Codif(prima$, 143, dopo$) 'questa riga genera un messaggio di errore

' FUNCTION INIZIOANNO:

' parametri:

' DAT$ = la data (mm-dd-yyyy) di cui si vuole sapere da quanti giorni 
'        iniziato l'anno. Valori consentiti dal (01-01-1583) al
'        (12-31-2500).
' GIORNI% = il calcolo di quanti giorni sono passati dall'inizio dell'anno
'           a DAT$.

' ESEMPIO:
' CLS
' ii = InizioAnno("05-10-1955", giorni%)
' PRINT giorni%

' FUNCTION FINEANNO:

' parametri:

' DAT$ = La data (mm-dd-yyyy) di cui si vuole sapere di quanti giorni dista
'        dalla fine dell'anno. Valori consentiti dal (01-01-1583) al
'        (12-31-2500).
' GIORNI% = il calcolo di quanti giorni passano da DAT$ alla fine dell'anno.

' ESEMPIO:
' CLS
' ff = FineAnno("07-21-1969", giorni%)
' PRINT giorni%

' FUNCTION CHANGE:

' parametri:

' STRINGA$ = Stringa in cui effettuare la ricerca.
' VECCHIA$ = La sottostringa da trovare nella stringa.
' NUOVA$ = La sottostringa che sostituira la vecchia sottostringa (VECCHIA$).
' N.B. Nel caso in cui il contenuto di VECCHIA$ non verr trovato nella
'      stringa, STRINGA$ naturalmente non verr modificata.

' ESEMPIO:
' CLS
' COLOR , 1
' indiri$ = "Giorgio Fanara, Via Don Orione, 22 - 90142 - Palermo"
' cc = Change(indiri$, "giorgio", "Sergio")
' PRINT indiri$
' cc = Change(indiri$, "via don orione, 22", "Via 20 Settembre, 45")
' PRINT indiri$
' cc = Change(indiri$, "e", "E")
' PRINT indiri$
' cc = Change(indiri$, "o", "u")
' PRINT indiri$

' FUNCTION ORDINA1:

' parametri:

' VETTORE$() = Il vettore da ordinare in ordine alfabetico.
' INDICE% = L'indice massimo degli elementi del vettore da ordinare.
'           Nel caso in cui INDICE%  superiore all'indice massimo.
'           definito per VETTORE$(), l'indice si imposter automticamente
'           al massimo valore definito per VETTORE$().

' ESEMPIO:
' CLS
' DIM nome$(5)
' FOR i% = 1 TO 5
'  COLOR 15
'  LOCATE 10, 1: PRINT "Inserisci il nome numero"; i%; "                    "
'  iii = Inser(10, 29, 1, 15, nome$(i%), ".", 10, 7, esc%)
' NEXT
' oo = Ordina1(nome$(), 5)
' CLS
' FOR i% = 1 TO 5
'  PRINT nome$(i%)
' NEXT

' FUNCTION ORDINA2:

' parametri:

' VETTORE() = Il vettore numerico da ordinare.
' INDICE% = L'indice massimo degli elementi del vettore.
'           Anche in questa funzione, nel caso in cui INDICE%  superiore
'           all'indice massimo definito per VETTORE(), l'indice si imposter
'           automticamente al massimo valore definito per VETTORE().

' MODO% = valori consentiti 0 e 1.
' 1: l'ordinamento avviene in ordine crescente.
' 2: l'ordinamento avviene in ordine decrescente.

' ESEMPIO:
' CLS
' DIM num(10)
' FOR x = 0 TO 10
'  num(x) = INT(RND * 10) + 1
' NEXT
' ooo = Ordina2(num(), 15, 1)
' FOR x = 1 TO 10
'  PRINT num(x)
' NEXT

' FUNCTION ORARIO:

' parametri:

' TEMPO$ = La variabile che contiene il tempo di systema sino ai decimi
'          di secondo.
' DECIM% = La variabile numerica che contiene i decimi di secondo.
' CONTR% = variabile di controllo (non serve al programmatore).

' ESEMPIO:
' CLS
' DO
' tt = Orologio(tempo$, decim%, contr%)
' LOCATE 10, 1: PRINT tempo$, decim%
' LOOP UNTIL INKEY$ <> ""

' FUNCTION STRINGAV:

' RIGA%,COLON% = La riga e la colonna per la visualizzazione di STRINGA$.
' STRINGA$ = La stringa da visualizzare in verticale.

' ESEMPIO:
' CLS
' COLOR 10
' ll = StringaV(1, 10, "Giorgio Fanara")
' COLOR 6
' ll = StringaV(1, 20, STRING$(15, ""))

' FUNCTION WEEKDAY:

' parametri:

' DATA$ = La data (mm-dd-yyyy) di cui si vuole sapere il giorno
'         della settimana. Valori consentiti dal (01-01-1583) al
'         (12-31-2500).
' GIOSET$ = Il giorno della settimana corrispondente alla data scelta.
' GIOSET% = Ritorna un numero da 0 a 6 corrispondente al giorno della
'           settimana:
' 0: Domenica
' 1: Luned
' 2: Marted
' 3: Mercoled
' 4: Gioved
' 5: Venerd
' 6: Sabato
' GIOSET%  stato creato per poter avere i giorni della settimana anche in
' un'altra forma. (Per esempio si possono assegnare i valori dei Giorni
' della settimana in inglese ad un vettore che va da 0 a 6).
' DATAIT$ = Ritorna il contenuto di DATA$ nel formato Italiano (gg-mm-aaaa).

' ESEMPIO:
' CLS
' data$ = "10-04-1975"
' ww = WeekDay(data$, gioset$, gioset%, datait$)
' PRINT gioset$; " "; datait$, gioset%
' data$ = DATE$
' ww = WeekDay(data$, gioset$, gioset%, datait$)
' PRINT gioset$; " "; datait$, gioset%
' data$ = "10-14-2112"
' ww = WeekDay(data$, gioset$, gioset%, datait$)
' PRINT gioset$; " "; datait$, gioset%
' data$ = "05-30-1963"
' ww = WeekDay(data$, gioset$, gioset%, datait$)
' PRINT gioset$; " "; datait$, gioset%

' FUNCTION DOMINSER:
' Permette di Impostare un input con domanda a doppia possibilit

'  FUNCTION rispcar = DomInser (riga%, colonna%, colore%, colorcar%, domanda$, car$, car2$)

'  riga% = la variabile che contiene la riga dove verr visualizzata la domanda
'  colonna% = la variabile che contiene la colonna dove verr visualizzata la domanda
'  colore% = Il colore della stringa che verra visualizzata
'  colorcar = colore dei caratteri per la scelta
'  domanda$ = La stringa che verra visualizzata alla riga e colonna specificata
'  car$ = Il carattere per la prima risposta
'  car2$ = Il carattere per la seconda risposta
'  rispcar$ = il carattere di risposta

' ESEMPIO:

' risp = DomInser(24, 1, 7, 10, "Sicuro di volere uscire?", "s", "n", rispcar$)

